Index: /trunk/PROGRAMMES/carte_SST.m
===================================================================
--- /trunk/PROGRAMMES/carte_SST.m	(revision 25)
+++ /trunk/PROGRAMMES/carte_SST.m	(revision 26)
@@ -1,3 +1,3 @@
-%CARTE_SST  Ce programme permet de visualiser les cartes mensuelles moyennes de temperature de surface
+%CARTE_SST Ce programme permet de visualiser les cartes mensuelles moyennes de temperature de surface
 %
 % Date: Avril-Mai 2008
@@ -22,5 +22,5 @@
 % et ``../DONNEES/skt.mon.tropatl.mat``.
 %
-% ``carte_SST`` calcule les moyennes mensuelles de SST  dans
+% ``carte_SST`` calcule les moyennes mensuelles de SST dans
 % l'Atlantique tropical a partir d'un champ mensuel de 60 ans
 % fourni en entree
@@ -28,5 +28,5 @@
 % ``carte_SST`` affiche à l'écran les moyennes mensuelles de SST.
 %
-% ``carte_SST`` sauve cette image dans ``./carte_SST.eps``.
+% ``carte_SST`` sauve cette image dans ``./carte_SST.ps``.
 %
 % EXAMPLES
@@ -66,8 +66,45 @@
 % improve description
 %
+% KNOWN PROBLEMS
+% ==============
+% 
+% 
+% - fplod 2009-08-26T08:46:48Z aedon.locean-ipsl.upmc.fr (Darwin)
+%
+%   * ne fonctionne pas sous octave 3.2.2
+%     
+%     ::
+%
+%    error: gnuplot (as of v4.2) only supports 3D filled triangular patches
+%    error: called from:
+%    error:   /usr/local_linux/octave/64/3.2.2//share/octave/3.2.2/m/plot/__go_draw_axes__.m at line 563, column 6
+%    error:   /usr/local_linux/octave/64/3.2.2//share/octave/3.2.2/m/plot/__go_draw_figure__.m at line 93, column 3
+%    error:   /usr/local_linux/octave/64/3.2.2//share/octave/3.2.2/m/plot/gnuplot_drawnow.m at line 88, column 5
+%    error:   /usr/local_linux/octave/64/3.2.2//share/octave/3.2.2/m/plot/print.m at line 696, column 7
+%    error:   /.autofs/home/fplod/incas/tpoctave/tpacpandreg_ws/PROGRAMMES/carte_SST.m at line 212, column 1
+%    
 % EVOLUTIONS
 % ==========
 %
 % $Id$
+%
+% - fplod 2009-08-26T09:00:11Z aedon.locean-ipsl.upmc.fr (Darwin)
+%
+%  * titre: nom de chaque mois
+%  * remplacement de ``eps`` par ``ps` pour pouvoir imprimer les figures 
+%    produites par ``octave``
+%    Dans le fichier .eps produit par ``octave`` on pouvait lire 
+%    ``!PS-Adobe-2.0 EPSF-2.0``.
+%    Aucun message d'erreur n'apparaît suite à la demande d'impression 
+%    ``zeus$ lpr -o job-sheets='none' carte_SST.ps``, mais aucune feuille ne
+%    sort.
+%    Pour info dans le fichier .eps produit par matlab, on pouvait lire
+%    ``%!PS-Adobe-2.0 EPSF-1.2``. Aucun souci d'impression avec ce fichier !
+%    En remplaçant ``eps`` par ``ps`, on n'a plus de souci d'impression.
+%
+%
+% - jmignot 2009-08-25
+%
+%  * suppression d'appel à contlab et colorbartype sous octave
 %
 % - fplod 2009-08-25T10:40:16Z aedon.locean-ipsl.upmc.fr (Darwin)
@@ -82,5 +119,5 @@
 %  * contraintes sur les limites x et y de axes car matlab et octave ne
 %    fixent pas les même limites par défaut
-%  * utisation de ``contlab`` pour ++
+%  * utilisation de ``contlab`` pour ++
 %
 % - fplod 2009-08-17T12:39:51Z aedon.locean-ipsl.upmc.fr (Darwin)
@@ -175,11 +212,11 @@
   whorldmap
 
-  % limites geographies et labels de longitude et de latitude
+  % limites géographiques et labels de longitude et de latitude
   ylim([geo(3) geo(4)])
   xlim([geo(1) geo(2)])
-  set(gca, 'Xtick', xti, 'Ytick', yti)
+  set(gca, 'Xtick', xti, 'Ytick', yti);
   if (run_octave == 0)
     [longstr, latstr] = contlab(xti, yti);
-    set(gca, 'Xticklabel', longstr, 'Yticklabel', latstr)
+    set(gca, 'Xticklabel', longstr, 'Yticklabel', latstr);
   end;
   if iplot>=10
@@ -191,5 +228,7 @@
 
   %titre: nom de chaque mois
-  title(['mois ' num2str(iplot)])
+  cmois = datestr(datenum([2000 iplot 1 00 00 00]), 'mmm');
+  title(cmois);
+  clear cmois;
 
 end;
@@ -202,9 +241,9 @@
   title('SST mensuelle moyenne en degC')
 else
-  colorbar('East') %colorbar par defaut
+ colorbar('East') %colorbar par defaut
 end;
 
 % sauvegarde de la figure
-printer='eps';
+printer='ps';
 print_printer=['-d', printer];
 fullfilename=['./', mfilename, '.', printer];
Index: /trunk/PROGRAMMES/eof_NCEP_sais.m
===================================================================
--- /trunk/PROGRAMMES/eof_NCEP_sais.m	(revision 25)
+++ /trunk/PROGRAMMES/eof_NCEP_sais.m	(revision 26)
@@ -30,7 +30,8 @@
 % ``eof_NCEP_sais`` calcule ++blabla++
 %
-% ``eof_NCEP_sais`` sauvegarde dans ``../DONNEES/eof_SSTmens_tropAtl30N-20S.mat``.
-%
-% Ces fichiers sont lus par ``Reg_serietemporelles.m_``\ .
+% ``eof_NCEP_sais`` sauvegarde dans 
+% ``../DONNEES/eof_SSTmens_tropAtl30N-20S.mat``.
+%
+% Ces fichiers sont lus par ``reg_serietemporelles.m_``\ .
 %
 % ``eof_NCEP_sais`` affiche trois figures :
@@ -39,5 +40,6 @@
 %  - valeurs propres de la matrice de covariance
 %
-% ``eof_NCEP_sais`` sauve ces images dans ``./eof_SSTmens_tropAtl30N-20S_[123].eps``.
+% ``eof_NCEP_sais`` sauve ces images dans 
+% ``./eof_SSTmens_tropAtl30N-20S_[123].ps``.
 %
 % ++
@@ -89,4 +91,21 @@
 %
 % $Id$
+%
+%  * remplacement de ``eps`` par ``ps` pour pouvoir imprimer les figures 
+%    produites par ``octave``
+%    Dans le fichier .eps produit par ``octave`` on pouvait lire 
+%    ``!PS-Adobe-2.0 EPSF-2.0``.
+%    Aucun message d'erreur n'apparaît suite à la demande d'impression 
+%    ``zeus$ lpr -o job-sheets='none' eof_SSTmens_tropAtl30N-20S_1.octave.ps``, 
+%    mais aucune feuille ne sort.
+%    Pour info dans le fichier .eps produit par matlab, on pouvait lire
+%    ``%!PS-Adobe-2.0 EPSF-1.2``. Aucun souci d'impression avec ce fichier !
+%    En remplaçant ``eps`` par ``ps`, on n'a plus de souci d'impression.
+%
+%
+% - jmignot 2009-08-25
+%
+%  * suppression d'appel à contlab et colorbartype sous octave
+%
 %
 % - fplod 2009-08-25T10:40:16Z aedon.locean-ipsl.upmc.fr (Darwin)
@@ -297,5 +316,5 @@
 %niveaux de couleurs
   lev=[-2:.02:2];
-  clip_lev=[-0.06 0.06]
+  clip_lev=[-0.06 0.06];
 
 figure(1);
@@ -318,5 +337,5 @@
    z=squeeze(TABEOF(:,:,i));
    contourf(x,y,z,lev);
-   caxis(clip_lev)
+   caxis(clip_lev);
    hold on
    whorldmap
@@ -338,5 +357,5 @@
   if (run_octave == 0)
     hpal=jet(100); %carte des couleurs: du bleu au rouge par defaut.
-    pos1=get(gca,'Position')
+    pos1=get(gca,'Position');
     pos=[pos1(1) pos1(2)-.075 pos1(3) .013];
     colorbartype(pos,lev,1,clip_lev,hpal,0);
@@ -347,5 +366,5 @@
   
    % sauvegarde de la figure
-   printer='eps';
+   printer='ps';
    print_printer=['-d', printer];
    fullfilename=['.' filesep nomfic num2str(limite_latN) 'N' num2str(limite_latS) 'S_' , num2str(ifigure) '.' printer];
@@ -366,5 +385,5 @@
    %
    % sauvegarde de la figure
-   printer='eps';
+   printer='ps';
    print_printer=['-d', printer];
    fullfilename=['.' filesep nomfic num2str(limite_latN) 'N' num2str(limite_latS) 'S_' , num2str(ifigure) '.' printer];
@@ -384,5 +403,5 @@
 
 % sauvegarde de la figure
-printer='eps';
+printer='ps';
 print_printer=['-d', printer];
 fullfilename=['.' filesep nomfic num2str(limite_latN) 'N' num2str(limite_latS) 'S_' , num2str(ifigure) '.' printer];
Index: /trunk/PROGRAMMES/initfig.m
===================================================================
--- /trunk/PROGRAMMES/initfig.m	(revision 25)
+++ /trunk/PROGRAMMES/initfig.m	(revision 26)
@@ -42,4 +42,9 @@
 % $Id$
 %
+% - fplod 2009-08-25T16:41:34Z aedon.locean-ipsl.upmc.fr (Darwin)
+%
+%  * ajout pour octave 3.2 (uniquement sous 
+%    /usr/local_linux/octave/64/3.2.2/bin/octave donc dedale)
+%
 % - fplod 2009-08-17T12:39:51Z aedon.locean-ipsl.upmc.fr (Darwin)
 %
@@ -56,5 +61,16 @@
  set(gcf,'PaperPosition',[0,0,1,1]);
 else
- warning('www : octave can not initialise Units, position, PaperType PaperUnits PaperPosition');
+ switch OCTAVE_VERSION
+  case {'3.0.2'}
+   warning('www : octave 3.0.2 can not initialise Units, position, PaperType PaperUnits PaperPosition');
+  case {'3.2.2'}
+   set(gcf,'Units','normalized');
+   set(gcf,'position',[0.1 0.08,0.5,0.8])
+   set(gcf,'PaperType', 'a4');
+   set(gcf,'PaperUnits','normalized');
+   set(gcf,'PaperPosition',[0,0,1,1]);
+  otherwise
+   warning('www : do no know about octave initialise Units, position, PaperType PaperUnits PaperPosition');
+  end
 end
 
Index: /trunk/PROGRAMMES/reg_seriestemporelles.m
===================================================================
--- /trunk/PROGRAMMES/reg_seriestemporelles.m	(revision 25)
+++ /trunk/PROGRAMMES/reg_seriestemporelles.m	(revision 26)
@@ -30,5 +30,5 @@
 %
 % ``reg_seriestemporelles`` sauve cette image dans
-% ``./eof_SSTmens_tropAtl30N-20S.mat_reg_seriestemporelles_1.eps``.
+% ``./eof_SSTmens_tropAtl30N-20S.mat_reg_seriestemporelles_1.ps``.
 %
 % EXAMPLES
@@ -65,4 +65,9 @@
 %
 % $Id$
+%
+% - fplod 2009-08-26T09:49:43Z aedon.locean-ipsl.upmc.fr (Darwin)
+%
+%  * remplacement de ``eps`` par ``ps` pour pouvoir imprimer les figures 
+%    produites par ``octave``
 %
 % - fplod 2009-08-25T10:40:16Z aedon.locean-ipsl.upmc.fr (Darwin)
@@ -210,5 +215,5 @@
 
 % sauvegarde de la figure
-printer='eps';
+printer='ps';
 print_printer=['-d', printer];
 fullfilename=['.' filesep file '_' mfilename '_'  num2str(ifigure) '.' printer];
Index: /trunk/PROGRAMMES/tpacpandreg_startup.m
===================================================================
--- /trunk/PROGRAMMES/tpacpandreg_startup.m	(revision 25)
+++ /trunk/PROGRAMMES/tpacpandreg_startup.m	(revision 26)
@@ -1,3 +1,3 @@
-% TPACPANDREG_STARTUP initialisation of matlab/octave environment for TPACPANDREG project
+%TPACPANDREG_STARTUP initialisation of matlab/octave environment for TPACPANDREG project
 
 %+
Index: /trunk/PROGRAMMES/whorldmap.m
===================================================================
--- /trunk/PROGRAMMES/whorldmap.m	(revision 25)
+++ /trunk/PROGRAMMES/whorldmap.m	(revision 26)
@@ -40,4 +40,8 @@
 % 
 % $Id$
+%
+% - fplod 2009-08-26T09:02:22Z aedon.locean-ipsl.upmc.fr (Darwin)
+%
+%   * add missing octave warning on Erasemode
 %
 % - fplod 2009-08-25T09:32:28Z aedon.locean-ipsl.upmc.fr (Darwin)
@@ -139,5 +143,5 @@
     set(lh,'Erasemode','none');
    else
-    warning('www : octave do not know Erasemode property')
+    warning('www : octave do not know Erasemode property');
    end
    set(gca,'aspect',[1 1]);
@@ -145,6 +149,11 @@
 
 if (drawtwice),
-   line(coastlines(1,:),coastlines(2,:),'Linestyle','-',...
-   'Erasemode','none');
+   if ~ exist('OCTAVE_VERSION','builtin')
+    line(coastlines(1,:),coastlines(2,:),'Linestyle','-',...
+    'Erasemode','none');
+   else
+    warning('www : octave do not know Erasemode property');
+    line(coastlines(1,:),coastlines(2,:),'Linestyle','-')
+   end
 end;
 
